Get all subscription usage entitlements

get

/crmRestApi/resources/11.13.18.05/subscriptionUsageEntitlements

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds the subscription usage entitlements with the specified primary key.
      Finder Variables
      • UsageEntitlementId; integer; The unique usage entitlements identifier of the subscription usage entitlements used to find it.
    • UsageEntitlementAltKey Finds the subscription usage entitlements with the specified alternate key.
      Finder Variables
      • UsageEntitlementNumber; string; The unique usage entitlement number of the subscription usage entitlements for usage entitlements alternate key.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • BalanceProfileId; integer; The unique identifier of the balance profile of the subscription usage entitlement.
    • BalanceProfileName; string; The name of the balance profile of the subscription usage entitlement.
    • BalanceProfileNumber; string; The alternate key of the balance profile of the subscription usage entitlement.
    • BusinessUnitId; integer; The unique identifier of the business unit of the subscription usage entitlement.
    • BusinessUnitName; string; The name of the business unit of the subscription usage entitlement.
    • CreatedBy; string; The user who created the subscription usage entitlements.
    • CreationDate; string; The date of creation of the subscription usage entitlements.
    • EndDateActive; string; The end date of the subscription usage entitlement.
    • EntitlementPlanName; string; The name of the entitlement plan of the usage entitlement.
    • EntitlementPlanNumber; string; The alternate key of the entitlement plan of the subscription usage entitlement.
    • InventoryItemId; integer; The unique identifier of subscription product item of the subscription product item of the subscription usage entitlement.
    • ItemNumber; string; The alternate key of the subscription product item of the subscription usage entitlement.
    • LastUpdateDate; string; The date when the subscription usage entitlements was last updated.
    • LastUpdateLogin; string; The login of the user who last updated the subscription usage entitlement.
    • LastUpdatedBy; string; The user who has last updated the subscription usage entitlement.
    • ObjectVersionNumber; integer; The version number of subscription usage entitlement.
    • OrganizationId; integer; The unique identifier of organization of subscription product item of the subscription product item of the subscription usage entitlement.
    • Precedence; integer; The precedence of subscription usage entitlements.
    • PriceListId; integer; The unique identifier of price list of the subscription product item of the subscription usage entitlements.
    • PriceListItemId; integer; The unique identifier of price list item of the subscription product item of the subscription usage entitlements.
    • PriceListName; string; The name of price list of the subscription product item of the subscription usage entitlements.
    • PriceUnitOfMeasure; string; The price unit of measure of the subscription product item of the subscription usage entitlements.
    • PriceUnitOfMeasureCode; string; The price unit of measure code of the subscription product item of the subscription usage entitlements.
    • RatePlanId; integer; The unique identifier of rate plan of the subscription product item of the subscription usage entitlements.
    • RatePlanName; string; The name of rate plan of the subscription product item of the subscription usage entitlements.
    • RatePlanNumber; string; The alternate key of rate plan of the subscription product item of the subscription usage entitlements.
    • RatingModel; string; The rating model of the usage entitlements.
    • RatingModelMeaning; string; The rating model meaning of the usage entitlements.
    • StartDateActive; string; The start date of the subscription usage entitlement.
    • Status; string; The status of the subscription usage entitlement.
    • SummarizedRatingFlag; boolean; The summarized flag of the subscription usage entitlement.
    • UsageEntitlementId; integer; The unique identifier of usage entitlement plan of the subscription usage entitlements.
    • UsageEntitlementNumber; string; The alternate key of usage entitlement plan of the subscription usage entitlements.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : subscriptionUsageEntitlements
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : subscriptionUsageEntitlements-item-response
Type: object
Show Source
Nested Schema : Subscription Usage Entitlement Plans
Type: array
Title: Subscription Usage Entitlement Plans
The subscription usage entitlement plan is a configuration for a set of entitlements.
Show Source
Nested Schema : subscriptionUsageEntitlements-entitlementPlans-item-response
Type: object
Show Source
Nested Schema : Subscription Entitlement Plan Details
Type: array
Title: Subscription Entitlement Plan Details
The subscription entitlement plan details resource is used to view, create, update, and delete an entitlement plan detail.
Show Source
Nested Schema : Subscription Entitlement Plan Commitments
Type: array
Title: Subscription Entitlement Plan Commitments
The commitments resource is used to create a entitlement plan based on commitments. These records can be created only for those balance codes which have the commitment flag enabled.
Show Source
Nested Schema : Subscription Entitlement Plan Estimates
Type: array
Title: Subscription Entitlement Plan Estimates
The estimates resource is used to create a entitlement plan based on estimates. These records can be created only for those balance codes which have the estimates flag enabled.
Show Source
Nested Schema : Subscription Entitlement Plan UOM Conversions
Type: array
Title: Subscription Entitlement Plan UOM Conversions
The subscription entitlement plan UOM Conversions is used to store the conversion rates between various UOMs for all entitlement plans.
Show Source
Nested Schema : Subscription Entitlement Pricing Rules
Type: array
Title: Subscription Entitlement Pricing Rules
The subscription entitlement plan charge rules resource is used to view, create, update, and delete an entitlement plan.
Show Source
Nested Schema : subscriptionUsageEntitlements-entitlementPlans-allowances-item-response
Type: object
Show Source
Nested Schema : subscriptionUsageEntitlements-entitlementPlans-commitments-item-response
Type: object
Show Source
Nested Schema : subscriptionUsageEntitlements-entitlementPlans-estimates-item-response
Type: object
Show Source
Nested Schema : subscriptionUsageEntitlements-entitlementPlans-unitOfMeasureConversions-item-response
Type: object
Show Source
Nested Schema : subscriptionUsageEntitlements-entitlementPlans-volumePricingRules-item-response
Type: object
Show Source
Back to Top